// Generated by gencpp from file exvis_parallel_real_cpg_online/cpgService.msg
// DO NOT EDIT!


#ifndef EXVIS_PARALLEL_REAL_CPG_ONLINE_MESSAGE_CPGSERVICE_H
#define EXVIS_PARALLEL_REAL_CPG_ONLINE_MESSAGE_CPGSERVICE_H

#include <ros/service_traits.h>


#include <exvis_parallel_real_cpg_online/cpgServiceRequest.h>
#include <exvis_parallel_real_cpg_online/cpgServiceResponse.h>


namespace exvis_parallel_real_cpg_online
{

struct cpgService
{

typedef cpgServiceRequest Request;
typedef cpgServiceResponse Response;
Request request;
Response response;

typedef Request RequestType;
typedef Response ResponseType;

}; // struct cpgService
} // namespace exvis_parallel_real_cpg_online


namespace ros
{
namespace service_traits
{


template<>
struct MD5Sum< ::exvis_parallel_real_cpg_online::cpgService > {
  static const char* value()
  {
    return "f76f149eb78f5f171475e3975b4978cf";
  }

  static const char* value(const ::exvis_parallel_real_cpg_online::cpgService&) { return value(); }
};

template<>
struct DataType< ::exvis_parallel_real_cpg_online::cpgService > {
  static const char* value()
  {
    return "exvis_parallel_real_cpg_online/cpgService";
  }

  static const char* value(const ::exvis_parallel_real_cpg_online::cpgService&) { return value(); }
};


// service_traits::MD5Sum< ::exvis_parallel_real_cpg_online::cpgServiceRequest> should match
// service_traits::MD5Sum< ::exvis_parallel_real_cpg_online::cpgService >
template<>
struct MD5Sum< ::exvis_parallel_real_cpg_online::cpgServiceRequest>
{
  static const char* value()
  {
    return MD5Sum< ::exvis_parallel_real_cpg_online::cpgService >::value();
  }
  static const char* value(const ::exvis_parallel_real_cpg_online::cpgServiceRequest&)
  {
    return value();
  }
};

// service_traits::DataType< ::exvis_parallel_real_cpg_online::cpgServiceRequest> should match
// service_traits::DataType< ::exvis_parallel_real_cpg_online::cpgService >
template<>
struct DataType< ::exvis_parallel_real_cpg_online::cpgServiceRequest>
{
  static const char* value()
  {
    return DataType< ::exvis_parallel_real_cpg_online::cpgService >::value();
  }
  static const char* value(const ::exvis_parallel_real_cpg_online::cpgServiceRequest&)
  {
    return value();
  }
};

// service_traits::MD5Sum< ::exvis_parallel_real_cpg_online::cpgServiceResponse> should match
// service_traits::MD5Sum< ::exvis_parallel_real_cpg_online::cpgService >
template<>
struct MD5Sum< ::exvis_parallel_real_cpg_online::cpgServiceResponse>
{
  static const char* value()
  {
    return MD5Sum< ::exvis_parallel_real_cpg_online::cpgService >::value();
  }
  static const char* value(const ::exvis_parallel_real_cpg_online::cpgServiceResponse&)
  {
    return value();
  }
};

// service_traits::DataType< ::exvis_parallel_real_cpg_online::cpgServiceResponse> should match
// service_traits::DataType< ::exvis_parallel_real_cpg_online::cpgService >
template<>
struct DataType< ::exvis_parallel_real_cpg_online::cpgServiceResponse>
{
  static const char* value()
  {
    return DataType< ::exvis_parallel_real_cpg_online::cpgService >::value();
  }
  static const char* value(const ::exvis_parallel_real_cpg_online::cpgServiceResponse&)
  {
    return value();
  }
};

} // namespace service_traits
} // namespace ros

#endif // EXVIS_PARALLEL_REAL_CPG_ONLINE_MESSAGE_CPGSERVICE_H
